# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.90.0"
name = "evix"
version = "0.3.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Evaluate a Nix expression and stream derivation info as JSON lines"
readme = "README.md"
license = "EUPL-1.2"

[features]
default = ["flake"]
flake = ["nix-bindings/flake"]

[lib]
name = "evix"
path = "src/lib.rs"

[[bin]]
name = "evix"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.12"

[dependencies.libc]
version = "0.2.186"

[dependencies.nix-bindings]
version = "0.2347.4"
features = ["full"]

[dependencies.pound]
version = "0.1.6"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.150"

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-subscriber]
version = "0.3.19"
features = ["env-filter"]
